| <large>libXpertMassCore and libXpertMassGui Developer Documentation</large>

- libXpertMassCore
- GaussianEstimateParams

# MsXpS::libXpertMassCore::Processing::LocalSignalToNoiseEstimator::GaussianEstimateParams Struct

struct MsXpS::libXpertMassCore::Processing::LocalSignalToNoiseEstimator::GaussianEstimateParams

The GaussianEstimateParams struct encapsulates the characteristics of the Gaussian as returned by LocalSignalToNoiseEstimator::estimateGaussian. More...

- List of all members, including inherited members
- GaussianEstimateParams is part of libXpertMassCore Data processing.

## Public Variables

double | mean
double | variance

## Detailed Description

## Member Variable Documentation

### double GaussianEstimateParams::mean

This variable holds the mean of the estimated Gaussian, that is the apex.

### double GaussianEstimateParams::variance

This variable holds the variance of the estimated Gaussian (σ, that is, sigma).

This value is the square of the standard deviation. The variance relates to the FWHM value by this relation:

    FWHM = 2 * sqrt(2 * Ln 2​) * sqrt(σ^2)​= 2 * sqrt(2 * Ln 2)​⋅σ